Create completion
Creates a completion for the provided prompt and parameters.
Creates a completion for the provided prompt and parameters.
Authorization
BearerAuth AuthorizationBearer <token>
API key as bearer token in Authorization header
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://llm-gateway.codzen.ai/v1/completions" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "prompt": "string" }'{
"id": "string",
"object": "text_completion",
"created": 0,
"model": "string",
"choices": [
{
"text": "string",
"index": 0,
"finish_reason": "string"
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}